package com.zcloud.basic.info.domain.gateway;

import com.zcloud.basic.info.domain.model.DepartmentSuperviseE;

import java.util.List;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2025-11-10 14:13:46
 */
public interface DepartmentSuperviseGateway {

    /**
     * 新增
     */
    Boolean add(DepartmentSuperviseE departmentSuperviseE);

    /**
     * 修改
     */
    Boolean update(DepartmentSuperviseE departmentSuperviseE);

    /**
     * 删除
     */
    Boolean deletedDepartmentSuperviseById(Long id);

    Boolean deletedDepartmentSuperviseByIds(Long[] id);

    void addbatch(List<DepartmentSuperviseE> departmentSuperviseEList);

    void deletedDepartmentBySuperviseId(Long id);
    void deletedDepartmentBySuperviseIdList(List<Long> id);
}

